OpenNMS API 1.2.9

## org.opennms.web.parsers
Class PropertyLoader

    java.lang.Object
      org.opennms.web.parsers.PropertyLoader

public class PropertyLoader
extends java.lang.Object

This class allows another class to load the appropriate property files into one complete Property object. It enables the loading of a single specific property file, a specific property file and the bluebird properties, or the previous two along with the System properties where the System properties take precedence over the previous two.

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary
`static int` `ALL` Loads a local property file, the bluebird properties, and the system properties into the same Properties object.
`static java.lang.String` `BLUEBIRD_PROP` The bluebird system property file name
`static int` `LOCAL_BLUEBIRD` A local property and the bluebird properties will be loaded into the same Properties object.
`static int` `LOCAL_ONLY` Only a local property file will be loaded

Constructor Summary
`PropertyLoader()`

Method Summary
`static java.util.Properties` `load(java.lang.String aFileName, int loadMask)` This method decides which option the user wants and loads the files according to the decision.
`static java.util.Properties` `loadLocal(java.lang.String aFileName)` This method loads a single specific property file.
`static java.util.Properties` `loadLocal(java.lang.String aFileName, java.util.Properties someProperties)` This method loads a specific property file in combination with some existing properties.
`static java.util.Properties` `loadSystem(java.util.Properties someProperties)` This method loads the System properties into an already existing Properties object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLUEBIRD_PROP

    public static final java.lang.String BLUEBIRD_PROP

  The bluebird system property file name

  See Also:
    Constant Field Values

### LOCAL_ONLY

    public static final int LOCAL_ONLY

  Only a local property file will be loaded

  See Also:
    Constant Field Values

### LOCAL_BLUEBIRD

    public static final int LOCAL_BLUEBIRD

  A local property and the bluebird properties will be loaded into the same Properties object.

  See Also:
    Constant Field Values

### ALL

    public static final int ALL

  Loads a local property file, the bluebird properties, and the system properties into the same Properties object. The system properties will not be overwritten, so if a property was set on the command line that will take precedece.

  See Also:
    Constant Field Values

Constructor Detail

### PropertyLoader

    public PropertyLoader()

Method Detail

### load

    public static java.util.Properties load(java.lang.String aFileName,
                                            int loadMask)

  This method decides which option the user wants and loads the files according to the decision.

  Parameters:
    `aFileName` - the name of a specific property file to load
    `loadMask` - an integer describing which load option to use
  Returns:
    the properties of the option

### loadLocal

    public static java.util.Properties loadLocal(java.lang.String aFileName)

  This method loads a single specific property file.

  Parameters:
    `aFileName` - name of the property file to load
  Returns:
    the loaded properties

### loadLocal

    public static java.util.Properties loadLocal(java.lang.String aFileName,
                                                 java.util.Properties someProperties)

  This method loads a specific property file in combination with some existing properties. The specific properties will take precedence over the existing properties.

  Parameters:
    `aFileName` - name of the property file to load
    `someProperties` - the existing properties
  Returns:
    the loaded properties

### loadSystem

    public static java.util.Properties loadSystem(java.util.Properties someProperties)

  This method loads the System properties into an already existing Properties object. The System properties will overwrite any duplicate properties that already exist.

  Parameters:
    `someProperties` - the existing properties
  Returns:
    the loaded properties

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.